"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.escapeText2 = exports.escapeText = exports.isFirstCharacterIsValidText = exports.isAvailableVariableName = exports.responseContentType = exports.requestContentType = exports.responseName = exports.argumentParamsTypeDeclaration = exports.requestBodyName = exports.parameterName = void 0;
const parameterName = (operationId) => `Parameter$${operationId}`;
exports.parameterName = parameterName;
const requestBodyName = (operationId) => `RequestBody$${operationId}`;
exports.requestBodyName = requestBodyName;
const argumentParamsTypeDeclaration = (operationId) => `Params$${operationId}`;
exports.argumentParamsTypeDeclaration = argumentParamsTypeDeclaration;
const responseName = (operationId, statusCode) => `Response$${operationId}$Status$${statusCode}`;
exports.responseName = responseName;
const requestContentType = (operationId) => `RequestContentType$${operationId}`;
exports.requestContentType = requestContentType;
const responseContentType = (operationId) => `ResponseContentType$${operationId}`;
exports.responseContentType = responseContentType;
const isAvailableVariableName = (text) => {
    return /^[A-Za-z_0-9\s]+$/.test(text);
};
exports.isAvailableVariableName = isAvailableVariableName;
const isFirstCharacterIsValidText = (text) => {
    return /^[A-Za-z]+/.test(text);
};
exports.isFirstCharacterIsValidText = isFirstCharacterIsValidText;
const escapeText = (text) => {
    if (exports.isAvailableVariableName(text) && exports.isFirstCharacterIsValidText(text)) {
        return text;
    }
    return `"${text}"`;
};
exports.escapeText = escapeText;
/** TODO escapeTextにマージする */
const escapeText2 = (text) => {
    if (exports.isAvailableVariableName(text)) {
        return {
            escaped: false,
            text: text,
        };
    }
    return {
        escaped: true,
        text: `"${text}"`,
    };
};
exports.escapeText2 = escapeText2;
//# sourceMappingURL=utils.js.map