import ts from "typescript";
const syntaxKinds = {
    keyof: ts.SyntaxKind.KeyOfKeyword,
    unique: ts.SyntaxKind.UniqueKeyword,
    readonly: ts.SyntaxKind.ReadonlyKeyword,
};
export const create = ({ factory }) => (params) => {
    const node = factory.createTypeOperatorNode(syntaxKinds[params.syntaxKind], params.type);
    return node;
};
export const make = (context) => {
    return {
        create: create(context),
    };
};
//# sourceMappingURL=TypeOperatorNode.js.map