import type { Operator } from "@himenon/path-oriented-data-structure";
import * as InterfaceNode from "./InterfaceNode";
import * as NamespaceTree from "./NamespaceTree";
import * as TypeAliasNode from "./TypeAliasNode";
export { InterfaceNode, NamespaceTree, TypeAliasNode };
export declare type Kind = NamespaceTree.Kind | InterfaceNode.Kind | TypeAliasNode.Kind;
export declare type GetChild<T extends Kind> = T extends NamespaceTree.Kind ? NamespaceTree.Item : T extends InterfaceNode.Kind ? InterfaceNode.Item : T extends TypeAliasNode.Kind ? TypeAliasNode.Item : never;
export declare const createGetChildByPaths: (operator: Operator<string>) => <T extends Kind>(path: string, kind: T) => GetChild<T> | undefined;
export declare type GetChildByPaths = <T extends Kind>(path: string, kind: T) => GetChild<T> | undefined;
