import ts from "typescript";
export interface StringParams {
    type: "string";
    enum?: string[];
}
export interface IntegerParams {
    type: "integer";
    enum?: number[];
}
export interface NumberParams {
    type: "number";
    enum?: number[];
}
export interface BooleanParams {
    type: "boolean";
    enum?: boolean[];
}
export interface ObjectParams {
    type: "object";
    value: ts.TypeElement[];
}
export interface UndefinedParams {
    type: "undefined";
}
export interface ArrayParams {
    type: "array";
    value: ts.TypeNode;
}
export interface NullParams {
    type: "null";
}
export interface NeverParams {
    type: "never";
}
export interface AnyParams {
    type: "any";
}
export interface VoidParams {
    type: "void";
}
export declare type Params$Create = StringParams | IntegerParams | NumberParams | BooleanParams | ObjectParams | ArrayParams | UndefinedParams | NullParams | VoidParams | NeverParams | AnyParams;
export interface Factory {
    create: (params: Params$Create) => ts.TypeNode;
}
export declare const create: (context: Pick<ts.TransformationContext, "factory">) => Factory["create"];
export declare const make: (context: Pick<ts.TransformationContext, "factory">) => Factory;
